package com.crm.ucard.dao.repository;

import com.crm.rely.backend.core.pojo.table.ucard.CardFileTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;

@Repository
public interface CardFileRepository extends BaseRepository<CardFileTable> {

    @Lock(value = LockModeType.PESSIMISTIC_WRITE)
    CardFileTable findFirstById(Long id);

    CardFileTable getFirstById(Long id);

    CardFileTable findByLang(String lang);
}
